# Conditional build:
#%%bcond_with	chipcard	# build aqgeldkarte backend
#%%bcond_with	gtk		# build g2banking frontend (needs $DISPLAY)
#%%bcond_without	kde		# don't build kbanking frontend
%define aqplugins %_libdir/aqbanking/plugins

%define backendlist "aqhbci aqofxconnect"
%define oname aqbanking

#
Name: libaqbanking
Version: 3.3.0
Release: alt1

Summary: A library for online banking functions and financial data import/export

License: GPL v2
Group: System/Libraries
Url: http://www.aquamaniac.de/aqbanking/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# http://www.aquamaniac.de/sites/download/packages.php
Source: http://dl.sourceforge.net/aqbanking/%oname-%version.tar.bz2

Patch0: %oname-link.patch

# Automatically added by buildreq on Wed Apr 23 2008
BuildRequires: gcc-c++ glibc-devel graphviz kdepim-devel ktoblzcheck-devel libgmp-devel libgwenhywfar-devel libqscintilla-designer python-devel qt3-designer

BuildRequires: libgtk+2-devel libqt3-devel
BuildRequires: rpm-build-compat
Provides: aqbanking
Obsoletes: aqbanking

# Do not build anymore
Obsoletes: aqbanking-backend-aqdtaus
Obsoletes: aqbanking-backend-aqdtaus-devel

Obsoletes: aqbanking-frontend-cbanking
Obsoletes: aqbanking-frontend-cbanking-devel

Obsoletes: aqbanking-frontend-kbanking
Obsoletes: aqbanking-frontend-kbanking-devel

%description
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Header files for AqBanking library
Group: Development/Other

Requires: %name = %version-%release
Requires: libgwenhywfar-devel >= 3.0.0

Provides: aqbanking-devel
Obsoletes: aqbanking-devel

%description devel
Header files for AqBanking library.

%package backend-aqdtaus
Summary: AqDTAUS backend for AqBanking library
Group: System/Libraries
Requires: %name = %version-%release

%description backend-aqdtaus
AqDTAUS backend for AqBanking library.

%package backend-aqdtaus-devel
Summary: Header files for AqDTAUS backend library
Group: Development/Other
Requires: %name-backend-aqdtaus = %version-%release
Requires: %name-devel = %version-%release

%description backend-aqdtaus-devel
Header files for AqDTAUS backend library.

%package backend-aqgeldkarte
Summary: AqGeldKarte backend for AqBanking library
Group: System/Libraries
Requires: %name = %version-%release

%description backend-aqgeldkarte
AqGeldKarte backend for AqBanking library.

%package backend-aqgeldkarte-devel
Summary: Header files for AqGeldKarte backend library
Group: Development/Other
Requires: %name-backend-aqgeldkarte = %version-%release
Requires: %name-devel = %version-%release
Requires: libchipcard-devel >= 1.9.15

%description backend-aqgeldkarte-devel
Header files for AqGeldKarte backend library.

%package backend-aqhbci
Summary: AqHBCI backend for AqBanking library
Group: System/Libraries
Requires: %name = %version-%release

Provides: aqbanking-backend-aqhbci
Obsoletes: aqbanking-backend-aqhbci

%description backend-aqhbci
AqHBCI backend for AqBanking library.

%package backend-aqhbci-devel
Summary: Header files for AqHBCI backend library
Group: Development/Other
Requires: %name-backend-aqhbci = %version-%release
Requires: %name-devel = %version-%release

Provides: aqbanking-backend-aqhbci-devel
Obsoletes: aqbanking-backend-aqhbci-devel

%description backend-aqhbci-devel
Header files for AqHBCI backend library.

%package backend-aqofxconnect
Summary: AqOFXConnect backend for AqBanking library
Group: System/Libraries
Requires: %name = %version-%release

Provides: aqbanking-backend-aqofxconnect
Obsoletes: aqbanking-backend-aqofxconnect

%description backend-aqofxconnect
AqOFXConnect backend for AqBanking library.

%package backend-aqofxconnect-devel
Summary: Header files for AqOFXConnect backend library
Group: Development/Other
Requires: %name-backend-aqofxconnect = %version-%release

Provides: aqbanking-backend-aqofxconnect-devel
Obsoletes: aqbanking-backend-aqofxconnect-devel

%description backend-aqofxconnect-devel
Header files for AqOFXConnect backend library.

%package frontend-cbanking
Summary: Cbanking frontend for AqBanking library
Group: System/Libraries
Requires: %name = %version-%release

%description frontend-cbanking
Cbanking frontend for AqBanking library.

%package frontend-cbanking-devel
Summary: Header files for Cbanking frontend library
Group: Development/Other
Requires: %name-devel = %version-%release
Requires: %name-frontend-cbanking = %version-%release

%description frontend-cbanking-devel
Header files for Cbanking frontend library.

%package frontend-g2banking
Summary: G2Banking - GTK+ based frontend for AqBanking library
Group: System/Libraries
Requires: %name = %version-%release

%description frontend-g2banking
G2Banking - GTK+ based frontend for AqBanking library.

%package frontend-g2banking-devel
Summary: Header files for G2Banking frontend library
Group: Development/Other
Requires: %name-devel = %version-%release
Requires: %name-frontend-g2banking = %version-%release

%description frontend-g2banking-devel
Header files for G2Banking frontend library.

%package frontend-kbanking
Summary: KBanking - KDE-based frontend for AqBanking library
Group: System/Libraries
Requires: %name-frontend-qbanking = %version-%release

%description frontend-kbanking
KBanking - KDE-based frontend for AqBanking library.

%package frontend-kbanking-devel
Summary: Header files for KBanking frontend library
Group: Development/Other
Requires: %name-frontend-kbanking = %version-%release
Requires: %name-frontend-qbanking-devel = %version-%release

%description frontend-kbanking-devel
Header files for KBanking frontend library.

%package frontend-qbanking
Summary: QBanking - Qt-based frontend for AqBanking library
Group: System/Libraries
Requires: %name = %version-%release

Provides: aqbanking-frontend-qbanking
Obsoletes: aqbanking-frontend-qbanking

%description frontend-qbanking
QBanking - Qt-based frontend for AqBanking library.

%package frontend-qbanking-devel
Summary: Header files for QBanking frontend library
Group: Development/Other
Requires: %name-devel = %version-%release
Requires: %name-frontend-qbanking = %version-%release

Provides: aqbanking-frontend-qbanking-devel
Obsoletes: aqbanking-frontend-qbanking-devel

%description frontend-qbanking-devel
Header files for QBanking frontend library.

%setup_python_module %name

%package -n python-module-%oname
Summary: Python binding for AqBanking library
Group: Development/Python
Requires: %name = %version-%release
#Requires: python-ctypes
#%%pyrequires_eq	python-libs

%description -n python-module-%oname
Python binding for AqBanking library.

%prep
%setup -q -n %oname-%version
#%patch0 -p1

%build
#__autoreconf
#export PATH=%_qt3dir/bin:$PATH
%configure \
	--enable-libofx \
	--enable-python \
	--disable-static \
	--with-docpath=%{_docdir} \
	--with-qt3-libs=%_qt3dir/lib \
	--with-backends=%{backendlist}

# hack for semi SMP build
%make_build || %make

%install
%makeinstall_std

rm -f %buildroot%_libdir/*/plugins/*/*/*.{la,a}
rm -f %buildroot%_libdir/*/plugins/*/*/*/*/*.{la,a}
# /usr/share/doc/aqhbci/aqhbci-tool/README
rm -f %_docdir/aqhbci/aqhbci-tool/README

%find_lang %oname

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post backend-aqdtaus -p %post_ldconfig
%postun backend-aqdtaus -p %post_ldconfig

%post backend-aqgeldkarte -p %post_ldconfig
%postun backend-aqgeldkarte -p %post_ldconfig

%post backend-aqhbci -p %post_ldconfig
%postun backend-aqhbci -p %post_ldconfig

%post backend-aqofxconnect -p %post_ldconfig
%postun backend-aqofxconnect -p %post_ldconfig

%post frontend-cbanking -p %post_ldconfig
%postun frontend-cbanking -p %post_ldconfig

%post frontend-g2banking -p %post_ldconfig
%postun frontend-g2banking -p %post_ldconfig

%post frontend-kbanking -p %post_ldconfig
%postun frontend-kbanking -p %post_ldconfig

%post frontend-qbanking -p %post_ldconfig
%postun frontend-qbanking -p %post_ldconfig

%files -f %oname.lang
%_docdir/%oname/
#%attr(755,root,root) %_bindir/aqbanking-tool
#%attr(755,root,root) %_bindir/cbanking-config
%attr(755,root,root) %_bindir/qb-help5
%_libdir/libaqbanking.so.*
#%attr(755,root,root) %_libdir/libaqbankingpp.so.*
%_libdir/libaqnone.so.*
%aqplugins/20/providers/aqnone.*
%dir %_libdir/aqbanking
%dir %aqplugins/
%dir %aqplugins/*
%dir %aqplugins/*/bankinfo
%attr(755,root,root) %aqplugins/*/bankinfo/*.so*
%aqplugins/*/bankinfo/*.xml
%dir %aqplugins/*/debugger
%dir %aqplugins/*/imexporters
%attr(755,root,root) %aqplugins/*/imexporters/*.so*
%aqplugins/*/imexporters/*.xml
%dir %aqplugins/*/providers
%dir %aqplugins/*/wizards
%attr(755,root,root) %_libdir/gwenhywfar/plugins/*/dbio/*.so*
%_libdir/gwenhywfar/plugins/*/dbio/*.xml
%_datadir/aqbanking
%aqplugins/20/wizards/qt3-wizard
%aqplugins/20/wizards/qt3_wizard.xml

%files devel
%attr(755,root,root) %_bindir/aqbanking-config
%attr(755,root,root) %_libdir/libaqbanking.so
#%attr(755,root,root) %_libdir/libaqbankingpp.so
#%_libdir/libaqbanking.la
#%_libdir/libaqbankingpp.la
%_libdir/libaqnone.so
%_includedir/aqbanking/
#%_includedir/aqbanking++
%_aclocaldir/aqbanking.m4
#%_aclocaldir/cbanking.m4
%_pkgconfigdir/aqbanking.pc

%ifdef NONO
%files backend-aqdtaus
%attr(755,root,root) %_libdir/libaqdtaus.so.*
%attr(755,root,root) %aqplugins/16/frontends/qbanking/cfgmodules/aqdtaus.so*
%aqplugins/16/providers/aqdtaus.*
#%dir %aqplugins/*/wizards/aqdtaus
#%attr(755,root,root) %aqplugins/*/wizards/aqdtaus/aqdtaus-qt3-wizard
#%aqplugins/16/wizards/aqdtaus/qt_wizard.xml

%files backend-aqdtaus-devel
%attr(755,root,root) %_bindir/aqdtaus-config
%attr(755,root,root) %_libdir/libaqdtaus.so
#%_libdir/libaqdtaus.la
%_includedir/aqdtaus
%_aclocaldir/aqdtaus.m4

%files backend-aqgeldkarte
%attr(755,root,root) %_libdir/libaqgeldkarte.so.*
%attr(755,root,root) %aqplugins/*/providers/aqgeldkarte.so*
%aqplugins/*/providers/aqgeldkarte.xml
%dir %aqplugins/*/wizards/aqgeldkarte
%attr(755,root,root) %aqplugins/*/wizards/aqgeldkarte/aqgeldkarte-qt3-wizard
%aqplugins/*/wizards/aqgeldkarte/qt_wizard.xml

%files backend-aqgeldkarte-devel
%attr(755,root,root) %_bindir/aqgeldkarte-config
%attr(755,root,root) %_libdir/libaqgeldkarte.so
#%_libdir/libaqgeldkarte.la
%_includedir/aqgeldkarte
%_aclocaldir/aqgeldkarte.m4



%files frontend-cbanking
%attr(755,root,root) %_libdir/libcbanking.so.*

%files frontend-cbanking-devel
%attr(755,root,root) %_libdir/libcbanking.so
#%_libdir/libcbanking.la
%_includedir/cbanking

#%files frontend-g2banking
#%attr(755,root,root) %_libdir/libg2banking.so.*.*.*

#%files frontend-g2banking-devel
#%attr(755,root,root) %_bindir/g2banking-config
#%attr(755,root,root) %_libdir/libg2banking.so
#%_libdir/libg2banking.la
#%_includedir/g2banking
#%_aclocaldir/g2banking.m4

%files frontend-kbanking
%attr(755,root,root) %_libdir/libkbanking.so.*

%files frontend-kbanking-devel
%attr(755,root,root) %_bindir/kbanking-config
%attr(755,root,root) %_libdir/libkbanking.so
%_includedir/kbanking
%_aclocaldir/kbanking.m4
%endif

%files backend-aqofxconnect
%_libdir/libaqofxconnect.so.*
%aqplugins/*/providers/aqofxconnect.so*
%aqplugins/*/providers/aqofxconnect.xml
#%dir %aqplugins/*/wizards/aqofxconnect
%dir %aqplugins/20/frontends/qbanking/cfgmodules/aqofxconnect.so*
#%attr(755,root,root) %aqplugins/*/wizards/aqofxconnect/aqofxconnect-qt3-wizard
#%aqplugins/*/wizards/aqofxconnect/qt_wizard.xml

%files backend-aqofxconnect-devel
#%attr(755,root,root) %_bindir/aqofxconnect-config
%_libdir/libaqofxconnect.so
#%_libdir/libaqofxconnect.la
%_includedir/aqofxconnect/
#%_aclocaldir/aqofxconnect.m4

%files backend-aqhbci
%attr(755,root,root) %_bindir/aqhbci-tool3
%attr(755,root,root) %_bindir/hbcixml3
%_libdir/libaqhbci.so.*
%dir %aqplugins/*/debugger/aqhbci
%attr(755,root,root) %aqplugins/*/debugger/aqhbci/aqhbci-qt3-debug
%aqplugins/*/debugger/aqhbci/qt_debug.xml
%aqplugins/*/providers/aqhbci.so*
%aqplugins/*/providers/aqhbci.xml
#%dir %aqplugins/*/wizards/aqhbci
%dir %aqplugins/20/frontends/qbanking/
%dir %aqplugins/20/frontends/qbanking/cfgmodules/
%aqplugins/20/frontends/qbanking/cfgmodules/aqhbci.so*
#%aqplugins/20/wizards/aqhbci/aqhbci-qt3-wizard
#%aqplugins/*/wizards/aqhbci/kde_wizard.xml
#%_libdir/gwenhywfar/plugins/*/crypttoken/pintan.so
#%_libdir/gwenhywfar/plugins/*/crypttoken/pintan.xml
#%_datadir/aqhbci

%files backend-aqhbci-devel
#%attr(755,root,root) %_bindir/aqhbci-config
%_libdir/libaqhbci.so
#%_libdir/libaqhbci.la
%_includedir/aqhbci/
#%_aclocaldir/aqhbci.m4

%files frontend-qbanking
%_libdir/libqbanking.so.*

%files frontend-qbanking-devel
#%attr(755,root,root) %_bindir/qbanking-config
%_libdir/libqbanking.so
%_includedir/qbanking
#%_aclocaldir/qbanking.m4

%files -n python-module-%oname
%python_sitelibdir/*


%changelog
* Wed Apr 23 2008 Vitaly Lipatov <lav@altlinux.ru> 3.3.0-alt1
- new version (fix bug #15391)
- update buildreqs
- rename packages to libaqbanking-*

* Wed Apr 11 2007 Vitaly Lipatov <lav@altlinux.ru> 2.2.4-alt1
- new version 2.2.4
- update buildreq, fix build on x86_64

* Sun Nov 12 2006 Vitaly Lipatov <lav@altlinux.ru> 2.2.3-alt0.1
- new version 2.2.3 (with rpmrb script)

* Mon May 01 2006 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt0.1
- new version

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 1.6.2-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)

